Bug 431241 - Graphical installer unusable owing to screen corruption
Graphical installer unusable owing to screen corruption
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 13:13 EST by Adam Huffman
Modified: 2009-01-09 02:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:38:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (23.75 KB, text/plain)
2008-05-13 17:38 EDT, Adam Huffman
no flags Details
Anaconda log (33.63 KB, text/plain)
2008-05-13 17:40 EDT, Adam Huffman
no flags Details
Anaconda syslog (168.29 KB, text/plain)
2008-05-13 17:41 EDT, Adam Huffman
no flags Details

  None (edit)
Description Adam Huffman 2008-02-01 13:13:55 EST
Description of problem:

For several releases now I have been unable to run the graphical installer on an
Asus box with an Nvidia 6600 card.  Installation proceeds normally up until the
point where the main graphical window should come up.  What appears is a
corrupted, shrunken version of the initial boot screen on one screen and a blank
screen on the other.

Version-Release number of selected component (if applicable):
The Fedora 8 release version

How reproducible:


Steps to Reproduce:
1. Run the installer in graphical mode
2.
3.
  
Actual results:


Expected results:


Additional info:
The motherboard is an Asus A8N-VM CSM

lspci output:

00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a2)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a2)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a2)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a2)
00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev a1)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:0f.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a1)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
03:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6600 GT]
(rev a2)
04:05.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 80)
Comment 1 Matěj Cepl 2008-02-01 16:56:40 EST
Have you managed to complete install in the text mode? If yes, do you have a
file /var/log/anaconda.xlog? Could you please attach it to this bug as an
uncompressed attachment?

Thank you
Comment 2 Adam Huffman 2008-02-05 20:16:08 EST
In the end I did a remote yum upgrade, as the text mode installer seemed to hang
at the dependency resolution stage and I had a deadline to complete the work.

Is there any other information I can usefully gather? 
Comment 3 Matěj Cepl 2008-02-06 04:58:12 EST
OK, then we can go back to plan A:

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Matěj Cepl 2008-03-12 11:33:42 EDT
(meaning that you should install in text mode if needed and then try to play with X)
Comment 5 Matěj Cepl 2008-04-14 11:58:22 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Adam Huffman 2008-05-13 17:38:13 EDT
Created attachment 305297 [details]
Xorg log file
Comment 7 Adam Huffman 2008-05-13 17:40:39 EDT
Created attachment 305298 [details]
Anaconda log
Comment 8 Adam Huffman 2008-05-13 17:41:19 EDT
Created attachment 305299 [details]
Anaconda syslog
Comment 9 Adam Huffman 2008-05-13 17:41:41 EDT
Files are attached
Comment 10 Bug Zapper 2008-11-26 04:40:06 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:38:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.